using System;
using System.IO;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace ZadaniaUsługaRest
{
    public class WebApiApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            GlobalConfiguration.Configure(WebApiConfig.Register);
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }

        private const string nazwaPliku_Log = @"d:\ZadaniaUsługaRest.log";

        public static void DopiszDoPlikuLog(string informacja)
        {
            if (File.Exists(nazwaPliku_Log))
                File.Copy(nazwaPliku_Log, nazwaPliku_Log + ".bak", true);
            using (StreamWriter sw = new StreamWriter(nazwaPliku_Log, true))
            {
                sw.WriteLine(DateTime.Now.ToString() + ": " + informacja);
            }
        }
    }
}
